# -*- encoding: utf-8 -*-
# stub: journey 1.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "journey".freeze
  s.version = "1.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Aaron Patterson".freeze]
  s.date = "2022-04-25"
  s.description = "Journey is a router.  It routes requests.".freeze
  s.email = ["aaron@tenderlovemaking.com".freeze]
  s.extra_rdoc_files = ["CHANGELOG.rdoc".freeze, "Manifest.txt".freeze, "README.rdoc".freeze]
  s.files = [".autotest".freeze, ".gemtest".freeze, ".travis.yml".freeze, "CHANGELOG.rdoc".freeze, "Gemfile".freeze, "Manifest.txt".freeze, "README.rdoc".freeze, "Rakefile".freeze, "journey.gemspec".freeze, "lib/journey.rb".freeze, "lib/journey/backwards.rb".freeze, "lib/journey/core-ext/hash.rb".freeze, "lib/journey/formatter.rb".freeze, "lib/journey/gtg/builder.rb".freeze, "lib/journey/gtg/simulator.rb".freeze, "lib/journey/gtg/transition_table.rb".freeze, "lib/journey/nfa/builder.rb".freeze, "lib/journey/nfa/dot.rb".freeze, "lib/journey/nfa/simulator.rb".freeze, "lib/journey/nfa/transition_table.rb".freeze, "lib/journey/nodes/node.rb".freeze, "lib/journey/parser.rb".freeze, "lib/journey/parser.y".freeze, "lib/journey/parser_extras.rb".freeze, "lib/journey/path/pattern.rb".freeze, "lib/journey/route.rb".freeze, "lib/journey/router.rb".freeze, "lib/journey/router/strexp.rb".freeze, "lib/journey/router/utils.rb".freeze, "lib/journey/routes.rb".freeze, "lib/journey/scanner.rb".freeze, "lib/journey/visitors.rb".freeze, "lib/journey/visualizer/fsm.css".freeze, "lib/journey/visualizer/fsm.js".freeze, "lib/journey/visualizer/index.html.erb".freeze, "test/gtg/test_builder.rb".freeze, "test/gtg/test_transition_table.rb".freeze, "test/helper.rb".freeze, "test/nfa/test_simulator.rb".freeze, "test/nfa/test_transition_table.rb".freeze, "test/nodes/test_symbol.rb".freeze, "test/path/test_pattern.rb".freeze, "test/route/definition/test_parser.rb".freeze, "test/route/definition/test_scanner.rb".freeze, "test/router/test_strexp.rb".freeze, "test/router/test_utils.rb".freeze, "test/test_route.rb".freeze, "test/test_router.rb".freeze, "test/test_routes.rb".freeze]
  s.homepage = "http://github.com/rails/journey".freeze
  s.rdoc_options = ["--main".freeze, "README.rdoc".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Journey is a router".freeze
  s.test_files = ["test/gtg/test_builder.rb".freeze, "test/gtg/test_transition_table.rb".freeze, "test/nfa/test_simulator.rb".freeze, "test/nfa/test_transition_table.rb".freeze, "test/nodes/test_symbol.rb".freeze, "test/path/test_pattern.rb".freeze, "test/route/definition/test_parser.rb".freeze, "test/route/definition/test_scanner.rb".freeze, "test/router/test_strexp.rb".freeze, "test/router/test_utils.rb".freeze, "test/test_route.rb".freeze, "test/test_router.rb".freeze, "test/test_routes.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<minitest>.freeze, ["~> 2.11"])
    s.add_development_dependency(%q<racc>.freeze, [">= 1.4.6"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 3.11"])
    s.add_development_dependency(%q<json>.freeze, [">= 0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 3.10"])
    s.add_development_dependency(%q<hoe>.freeze, ["~> 2.13"])
  else
    s.add_dependency(%q<minitest>.freeze, ["~> 2.11"])
    s.add_dependency(%q<racc>.freeze, [">= 1.4.6"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 3.11"])
    s.add_dependency(%q<json>.freeze, [">= 0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 3.10"])
    s.add_dependency(%q<hoe>.freeze, ["~> 2.13"])
  end
end
